rte_bbdev_op_cap_fft(3)

NAME
rte_bbdev_op_cap_fft

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

uint32_t capability_flags
uint16_t num_buffers_src
uint16_t num_buffers_dst
uint16_t fft_windows_num

Detailed Description

List of the capabilities for the FFT.

Definition at line 905 of file rte_bbdev_op.h.

Field Documentation

  uint32_t capability_flags
Flags from rte_bbdev_op_fft_flag_bitmasks.

Definition at line 907 of file rte_bbdev_op.h.

  uint16_t num_buffers_src
Num input code block buffers.

Definition at line 909 of file rte_bbdev_op.h.

  uint16_t num_buffers_dst
Num output code block buffers.

Definition at line 911 of file rte_bbdev_op.h.

  uint16_t fft_windows_num
Number of FFT windows supported.

Definition at line 913 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.